Package com.fasterxml.jackson.core.sym

# Class NameN

java.lang.Object
com.fasterxml.jackson.core.sym.Name
com.fasterxml.jackson.core.sym.NameN

public final class NameN extends Name
Generic implementation of PName used for "long" names, where long means that its byte (UTF-8) representation is 13 bytes or more.

## Field Summary

### Fields inherited from class com.fasterxml.jackson.core.sym.Name

`_hashCode, _name`

## Method Summary

Modifier and Type
Method
Description
`static NameN`
`construct(String name, int hash, int[] q, int qlen)`
`boolean`
`equals(int quad)`
`boolean`
`equals(int[] quads, int len)`
`boolean`
`equals(int quad1, int quad2)`
`boolean`
`equals(int quad1, int quad2, int quad3)`

### Methods inherited from class com.fasterxml.jackson.core.sym.Name

`equals, getName, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### construct

public static NameN construct(String name, int hash, int[] q, int qlen)

### equals

public boolean equals(int quad)

Specified by:
  `equals` in class `Name`

### equals

public boolean equals(int quad1, int quad2)

Specified by:
  `equals` in class `Name`

### equals

public boolean equals(int quad1, int quad2, int quad3)

Specified by:
  `equals` in class `Name`

### equals

public boolean equals(int[] quads, int len)

Specified by:
  `equals` in class `Name`